<?php
/**
 * Fade in fade out article title
 *
 * @package Fade in fade out article title
 * @subpackage Fade in fade out article title
 * @version   1.0 August, 2011
 * @author    Gopi http://www.gopiplus.com
 * @copyright Copyright (C) 2010 - 2011 www.gopiplus.com, LLC
 * @license   http://www.gnu.org/licenses/gpl-2.0.html GNU/GPLv2 only
 *
 */

// no direct access
defined('_JEXEC') or die;

// Include the syndicate functions only once
require_once(dirname(__FILE__).DS.'helper.php');
require_once(JPATH_SITE.DS.'components'.DS.'com_content'.DS.'helpers'.DS.'route.php');

// get a parameter from the module's configuration
$fifopost_prefix = $params->get('fifopost_prefix');
$fifopost_fadein = $params->get('fifopost_fadein');
$fifopost_fade = $params->get('fifopost_fade');
$fifopost_fadestep = $params->get('fifopost_fadestep');
$fifopost_fadewait = $params->get('fifopost_fadewait');
$args['fifopost_category_id'] = $params->get('fifopost_category_id');
$args['fifopost_no_of_items'] = $params->get('fifopost_no_of_items');
$args['fifopost_no_of_chars'] = $params->get('fifopost_no_of_chars');
$args['fifopost_order_field'] = $params->get('fifopost_order_field');
$args['fifopost_use_cache'] = $params->get('fifopost_use_cache');
$args['fifopost_order_by'] = $params->get('fifopost_order_by');
$args['moduleclass_sfx'] = $params->get('moduleclass_sfx');


$cache = & JFactory::getCache();

if (@$use_cache) {
  $items = $cache->call(array('modFiFoHelper','getArticleList'),$args);
}else{
  $items = modFiFoHelper::getArticleList($args);
}

modFiFoHelper::loadScripts($params);

// include the template for display
require(JModuleHelper::getLayoutPath('mod_fade_in_fade_out_article_title'));